#!/usr/bin/python
# -*- coding: utf-8 -*-

# SAT temporary plugin for setting a blog banner
# Copyright (C) 2014 Adrien Cossa (souliane@mailoo.org)

# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


from sat.core.i18n import _, D_

PLUGIN_INFO = {
    "name": "Blog Banner Plugin",
    "import_name": "BLOG-BANNER",
    "type": "TMP",
    "protocols": [],
    "dependencies": [],
    "main": "BlogBanner",
    "handler": "no",
    "description": _("""Temporary plugin for setting a blog banner""")
}

PARAM_KEY = "Misc"
PARAM_NAME_BANNER = "Blog banner"


class BlogBanner(object):

    params = """
    <params>
    <individual>
    <category name="%(category_name)s" label="%(category_label)s">
        <param name="%(param_name)s" label="%(param_label)s" value="" type="string" security="0"/>
     </category>
    </individual>
    </params>
    """ % {
        'category_name': PARAM_KEY,
        'category_label': D_(PARAM_KEY),
        'param_name': PARAM_NAME_BANNER,
        'param_label': D_('Blog banner URL')
    }

    def __init__(self, host):
        host.memory.updateParams(self.params)
